%define product		CMFSubversionBrowser
%define version		0.9.0
%define release		3

%define zope_minver	2.7
%define plone_minver    2.0

%define zope_home	%{_prefix}/lib/zope
%define software_home	%{zope_home}/lib/python

Summary:	CMFSubversionBrowser is a CMF/Plone browser for local subversion repositories
Name:		zope-%{product}
Version:	%{version}
Release:	%mkrel %{release}
License:	GPL
Group:		System/Servers
Source:		http://zope.org/Members/k_vertigo/Products/CMFSubversionBrowser/0-9-0/CMFSubversionBrowser-0-9-0.tar.bz2
URL:		http://zope.org/Members/k_vertigo/Products/CMFSubversionBrowser
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	zope >= %{zope_minver}
Requires:       plone >= %{plone_minver}
Requires:	python-svn

Provides:	plone-CMFSubversionBrowser == %{version}
Obsoletes:	zope-CMFSubversionBrowser

%description
Features: 
- browse Subversion repositories 
- view any revision of a file, directory
- for text files, see line by line annotations of who changed 
  the file and the revision of change 
- for text files see diffs between any two revisions of a file 


%prep
%setup -c

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
%defattr(-, root, root, 0755)
%{software_home}/Products/*


%changelog
* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.9.0-3mdk
- fix path on x86_64

* Mon Apr 25 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.9.0-2mdk
- use mkrel
- rename from plone-CMFSubversionBrowser to zope-CMFSubversionBrowser

* Wed Jan 19 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.9.0-1mdk
- initial contrib
